hwcap.hh File Reference
`#include <mia/core/defines.hh>`
Include dependency graph for hwcap.hh:

Go to the source code of this file.

## Functions

bool | cpu_has_fma ()
bool | cpu_has_fma4 ()
bool | cpu_has_neon ()
bool | cpu_has_sse ()
bool | cpu_has_sse2 ()
bool | cpu_has_sse3 ()
bool | cpu_has_ssse3 ()

## Function Documentation

## cpu_has_fma()

bool cpu_has_fma | ( |  | ) |

## cpu_has_fma4()

bool cpu_has_fma4 | ( |  | ) |

## cpu_has_neon()

bool cpu_has_neon | ( |  | ) |

References NS_MIA_END.

## cpu_has_sse()

bool cpu_has_sse | ( |  | ) |

## cpu_has_sse2()

bool cpu_has_sse2 | ( |  | ) |

## cpu_has_sse3()

bool cpu_has_sse3 | ( |  | ) |

## cpu_has_ssse3()

bool cpu_has_ssse3 | ( |  | ) |